package rpc

const (
	// 用户、用户资源及帐号相关操作
	GetUserAccount      = "get.user.account.rpc"
	CreateUserAccount   = "create.user.account.rpc"
	UpdateUserPassword  = "update.user.password.rpc"
	LogUserAccountLogin = "user.login.rpc"
	GetUserByUid        = "get.user.uid.rpc"
	GetUserByAccountId  = "get.user.account.id.rpc"
	GetUserResources    = "get.user.resources.rpc"
	GetGameUser         = "get.game.user.rpc"
	AddUserResources    = "add.user.resources.rpc"
	SaveGameRecordLog   = "save.game.record.log.rpc" // 保存对局日志
	SaveUserRecordLog   = "save.user.record.log.rpc" // 保存玩家战绩
)
