package server

import (
	"game/common/proto/pb"
	"github.com/fox/fox/processor"
)

func (s *ClientService) initProcessor() {
	s.processor.RegisterMessages(processor.RegisterMetas{
		pb.MsgId_RspUserLoginId:  {pb.RspUserLogin{}, s.onLogin},
		pb.MsgId_RspMatchRoomId:  {pb.RspMatchRoom{}, s.onMatchRoom},
		pb.MsgId_RspEnterRoomId:  {pb.RspEnterRoom{}, s.onEnterRoom},
		pb.MsgId_RspUserLogoutId: {pb.RspUserLogout{}, s.onLogout},
	})
}
